package domain

import (
	"rmser/internal/domain/catalog"
	"rmser/internal/domain/invoices"
	"rmser/internal/domain/recipes"
	"time"
)

type Repository interface {
	// Catalog
	SaveProducts(products []catalog.Product) error

	// Recipes
	SaveRecipes(recipes []recipes.Recipe) error

	// Invoices
	GetLastInvoiceDate() (*time.Time, error)
	SaveInvoices(invoices []invoices.Invoice) error
}
